---
displayed_sidebar: entitiesSidebar
slug: /references/entities/classes/PublishableApiKeySalesChannel
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# PublishableApiKeySalesChannel

This represents the association between the Publishable API keys and Sales Channels

## Properties

<ParameterTypes parameters={[
  {
    "name": "publishable_key_id",
    "type": "`string`",
    "description": "The publishable API key's ID",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "sales_channel_id",
    "type": "`string`",
    "description": "The sales channel's ID",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
